Warranty/Trademark/Copyright Notices

Warranties and Liabilities

All warranties given by Intergraph Corporation about software are set forth in the End User License Agreement provided with the software, and nothing stated in or implied by this document or its contents shall be considered or deemed a modification or amendment of such warranties.

The information and the software discussed in this document are subject to change without notice and should not be considered commitments by Intergraph Corporation. Intergraph Corporation assumes no responsibility for any error that may appear in this document.

No responsibility is assumed by Intergraph for the use or reliability of software on equipment that does not meet the specified requirements as found in the product Readme.

Trademarks

Intergraph, GeoMedia, and, RIS are registered trademarks of Intergraph Corporation. SmartSketch is a trademark of Intergraph Corporation. Windows, Windows NT, and Windows XP are registered trademarks of Microsoft Corporation. NT is a registered trademark of Northern Telecom Limited. MapInfo is a registered trademark of MapInfo Corporation.

Matchmaker SDK is a trademark of GDT© 2002 Geographic Data Technology, Inc. All other brands and product names are trademarks of their respective owners.

Copyright
© 2003 Intergraph Corporation. All Rights Reserved.

Including software, file formats, and audiovisual displays; may be used pursuant to applicable software license agreement. Contains confidential and proprietary information of Intergraph and/or third parties, which is protected by copyright and trade secret law, and international treaty, and may not be provided or otherwise made available to end users other than purchaser without proper authorization from Intergraph Corporation.

The software discussed in this document is furnished under a license and may be used or copied only in accordance with the terms of the accompanying license.

GDT© 2002 Geographic Data Technology, Inc. This product contains proprietary and confidential property of Geographic Data Technology, Inc. Unauthorized use, including copying for other than testing and standard backup procedures, of this product is expressly prohibited.

Restricted Rights Legend

Use, duplication, or disclosure by the government is subject to restrictions as set forth below. For civilian agencies: This was developed at private expense and is “restricted computer software” submitted with restricted rights in accordance with subparagraphs (a) through (d) of the Commercial Computer Software - Restricted Rights clause at 52.227-19 of the Federal Acquisition Regulations (“FAR”) and its successors, and is unpublished and all rights are reserved under the copyright laws of the United States. For units of the Department of Defense (“DoD”): This is “commercial computer software” as defined at DFARS 252.227-7014 and the rights of the Government are as specified at DFARS 227.7202-3.

Unpublished rights reserved under the copyright laws of the United States.

Intergraph Corporation
Huntsville, Alabama 35894-0001


Introduction to MP Batch Processor

The MP Batch Processor is freeware developed by Intergraph Mapping and GeoSpatial Solutions (www.ingr.com/imgs). It is made available for public use and redistribution. Intergraph does not provide support for this product, and assumes no liability for its use.

The purpose of the MP Batch Processor is to allow ‘mp’ users to easily construct and maintain batch processor files that support the processing of multiple sets of input records through ‘mp’, taking full advantage of all its processing features.

Pre-requisites and Installation

The MP Batch Processor is intended for operation on systems running Windows98 and subsequent Microsoft operating systems, to support the use of the "Metadata Parser" (mp) software made available by the US Geological Survey. See http://geology.usgs.gov/tools/metadata/tools/doc/mp.html for further details. Users of the MP Batch Processor should have "mp" installed on their systems, and be familiar with its use. Users who invoke "mp" as a command-line processor will see a display similar to:

mp 2.7.30 - Peter N. Schweitzer (U.S. Geological Survey)

Usage: mp [options] input-file

Parse FGDC metadata, report structural errors and generate useful
re-expressions of the information.

input-file is indented text or sgml or xml

Options:
-c config-files | Read supplied config-file for more options
-l language-code | Use element names in the language specified
-e error-file | Write errors to the named error-file
-t text-file | Write indented text to the named text-file
-h html-file | Write outline-style HTML to the named html-file
-f faq-file | Write FAQ-style HTML to the named html-file
-s sgml-file | Write SGML to the named sgml-file
-x xml-file | Write XML to the named xml-file
-d dif-file | Write DIF (NASA, v6) to the named dif-file
-fixdoc | Run special clean-up on DOCUMENT.aml output

Language codes are 2-letter abbreviations
en | English (default)
es | Spanish
ca | Catalan
id | Indonesian
fr | French (not implemented, in prep)

Users of the MP Batch Processor should have "cns" installed on their systems, and be familiar with its use. Users who invoke "cns" as a command-line processor will see a display similar to:

Chew and Spit, 2.7.1 - Peter N. Schweitzer (U.S. Geological Survey)
Usage: C:\development\MPBAT\exe\cns.exe [-c config_file] [-l language]
[-i info_file] [-a aliases] [-e leftovers] [-o output_file] input_file

Workflows and Additional Information

  • MP Batch Processor
  • Using MP Batch Processor with CNS
  • Using MP Batch Processor with MP
  • Using MP Batch Processor with CNS and MP


MP Batch Processor

The MP Batch Processor allows users to pre-configure parameters which control the operation of "cns" and "mp," and to store them in one or more initialization (*.INI) files, so they can be utilized for subsequent use by the MP Batch Processor. Users can then select a saved INI file and use its stored parameters in processing batches of input files through "cns" and "mp."

Menu Options

  • File - options for creating, opening, and saving INI files
  • Tools - options for MP Batch Processor (mp.exe location, cns.exe location, etc.)
  • Help - about the MP Batch Processor

Input Definition

    Input folder

    This folder contains the files to be processed by "cns" and "mp."

    Input file extension(s)

    Input file extensions which is common to the files to be processed by "cns" and "mp." For multiple file extensions, use a ";" to separate the different extensions (e.g., *.met;*.txt;*.xml).

    Available files

    This list displays the available files in the Input folder, which is defined by the Input file extension(s).

    Selected files

    This list displays the files that are currently selected.

    >

    Select this option to move the selected files from the Available files list to the Selected files list.

    >>

    Select this option to move all the files from the Available files list to the Selected files list.

    <

    Select this option to move the selected files from the Selected files list to the Available files list.

    <<

    Select this option to move all the files from the Selected files list to the Available files list.

    Configuration file

    This field contains the configuration filename. See http://geology.usgs.gov/tools/metadata/tools/doc/config-simple.html for details of mp configuration file usage.

CNS (pre-parser)

    CNS output folder / MP input folder

    Output files created by "cns" will be placed in this folder. The output files from "cns" will be the input files into "mp".

    Extension

    Output files created by "cns" will have the specified extension.

    Aliases file

    This field contains the aliases filename. See http://geology.usgs.gov/tools/metadata/tools/doc/cns.html for details of aliases file usage.

    Output definition

    • File Types
      • Info_file - Messages generated from cns are written to this file.
      • Leftovers - Strings which cannot be place are written to this file.
    • Extension
      The output file extension for each of the output File Type.
    • Output Folder
      The output folder for each of the output File Type.

MP

    Output definition

    • File Types
      • Error - Errors generated from mp are written to this file.
      • Text - Text output file.
      • Html - Html output file.
      • Faq - Frequently Asked Questions (FAQ) style output file.
      • Sgml - Sgml output file.
      • Xml - Xml output file.
      • Dif - Dif output file.
    • Extension
      The output file extension for each of the output File Type.
    • Output Folder
      The output folder for each of the output File Type.

    Set All Folders

    Set one output folder for all the File Types.

Create Batch File

Create a batch file from the dialog parameters. The batch file can be ran from the Command Prompt Window or from Window's Explorer.

Execute

Process the selected files using the dialog parameters.

Close

Close the dialog box. If any changes where made to the dialog parameters, you will be prompted to save the changes.


Using MP Batch Processor with CNS

The MP Batch Processor allows users to pre-configure parameters which control the operation of "cns," and to store them in one or more initialization (*.INI) files, so they can be utilized for subsequent use by the MP Batch Processor. Users can then select a saved INI file and use its stored parameters in processing batches of input files through "cns."

Be default the MP Batch Processor will use "MPBAT.ini" (if it exists in the Program Files folder) and will save parameters in a file of the same name. Users can use the File > New INI File or File > Save INI File As on the menu to save alternate INI files.

  1. In the Input folder field, select or type a folder name.

    This folder should contain files to be processed by "cns."

  2. In the Input file extension(s) field, key in file extensions which is common to the files to be processed by "cns."

    For multiple file extensions, use a ";" to separate the different extensions (e.g., *.met;*.txt;*.xml).

  3. In the Available files list box, select the files you want to process and select the > button.

    The selected files will move from the Available files list box to the Selected files list box.

  4. Optional: Check the Configuration file check box, and select or type a "mp" configuration filename.

    See http://geology.usgs.gov/tools/metadata/tools/doc/config-simple.html for details of mp configuration file usage.

  5. Check the CNS check box.

  6. In the CNS output folder field, select or type a folder name.

    Output files created by "cns" will be placed in this folder.

  7. In the CNS output folder Extension field, key in a file extension.

    Output files created by "cns" will have the specified extension.

  8. Optional: Check the Aliases file check box, and select or type a "cns" aliases filename.

    See http://geology.usgs.gov/tools/metadata/tools/doc/cns.html for details of aliases file usage.

  9. Optional: In the CNS Output definition grid, check one or more output file options to be generated by "cns".

  10. Optional: In the CNS Output definition grid, modify the file Extension to be applied to each output File Type.

  11. Optional: In the CNS Output definition grid, modify the file Output Folder to be applied to each output File Type.

    When the cursor is moved to Output Folder, a folder selection button appears that allows navigation to or creation of a new folder.

    Once the user selects all parameters required by "cns," the Execute button becomes active.

  12. Select the Execute button.

    File processing progress is displayed across the bottom of the interface.

  13. Once MP Batch Processor completes, select the Close button to close the program.


Using MP Batch Processor with MP

The MP Batch Processor allows users to pre-configure parameters which control the operation of "mp," and to store them in one or more initialization (*.INI) files, so they can be utilized for subsequent use by the MP Batch Processor. Users can then select a saved INI file and use its stored parameters in processing batches of input files through "mp."

Be default the MP Batch Processor will use "MPBAT.ini" (if it exists in the Program Files folder) and will save parameters in a file of the same name. Users can use the File > New INI File or File > Save INI File As on the menu to save alternate INI files.

  1. In the Input folder field, select or type a folder name.

    This folder should contain files to be processed by "mp."

  2. In the Input file extension(s) field, key in file extensions which is common to the files to be processed by "mp."

    For multiple file extensions, use a ";" to separate the different extensions (e.g., *.met;*.txt;*.xml).

  3. In the Available files list box, select the files you want to process and select the > button.

    The selected files will move from the Available files list box to the Selected files list box.

  4. Optional: Check the Configuration file check box, and select or type a "mp" configuration filename.

    See http://geology.usgs.gov/tools/metadata/tools/doc/config-simple.html for details of mp configuration file usage.

  5. Check the MP check box.

  6. In the MP Output definition grid, check one or more output file options to be generated by "mp".

  7. Optional: In the MP Output definition grid, modify the file Extension to be applied to each output File Type.

  8. In the MP Output definition grid, modify the file Output Folder to be applied to each output File Type.

    When the cursor is moved to Output Folder, a folder selection button appears that allows navigation to or creation of a new folder.

  9. Optional: Select the Set All Folders button. Select or create a single folder that will be used as the location for all output files.

  10. Optional: Select the Run special clean-up on DOCUMENT.aml output check box.

    Once the user selects all parameters required by "mp," the Execute button becomes active.

  11. Select the Execute button.

    File processing progress is displayed across the bottom of the interface.

  12. Once MP Batch Processor completes, select the Close button to close the program.


Using MP Batch Processor with CNS and MP

The MP Batch Processor allows users to pre-configure parameters which control the operation of "cns" and "mp," and to store them in one or more initialization (*.INI) files, so they can be utilized for subsequent use by the MP Batch Processor. Users can then select a saved INI file and use its stored parameters in processing batches of input files through "cns" and "mp."

Be default the MP Batch Processor will use "MPBAT.ini" (if it exists in the Program Files folder) and will save parameters in a file of the same name. Users can use the File > New INI File or File > Save INI File As on the menu to save alternate INI files.

  1. In the Input folder field, select or type a folder name.

    This folder should contain files to be processed by "cns."

  2. In the Input file extension(s) field, key in file extensions which is common to the files to be processed by "cns."

    For multiple file extensions, use a ";" to separate the different extensions (e.g., *.met;*.txt;*.xml).

  3. In the Available files list box, select the files you want to process and select the > button.

    The selected files will move from the Available files list box to the Selected files list box.

  4. Optional: Check the Configuration file check box, and select or type a "mp" configuration filename.

    See http://geology.usgs.gov/tools/metadata/tools/doc/config-simple.html for details of mp configuration file usage.

  5. Check the CNS check box.

  6. In the CNS output folder / MP input folder field, select or type a folder name.

    Output files created by "cns" will be placed in this folder.

    The ouput files from "cns" will be the input files into "mp".

  7. In the CNS output folder Extension field, key in a file extension.

    Output files created by "cns" will have the specified extension.

  8. Optional: Check the Aliases file check box, and select or type a "cns" aliases filename.

    See http://geology.usgs.gov/tools/metadata/tools/doc/cns.html for details of aliases file usage.

  9. Optional: In the CNS Output definition grid, check one or more output file options to be generated by "cns".

  10. Optional: In the CNS Output definition grid, modify the file Extension to be applied to each output File Type.

  11. Optional: In the CNS Output definition grid, modify the file Output Folder to be applied to each output File Type.

    When the cursor is moved to Output Folder, a folder selection button appears that allows navigation to or creation of a new folder.

  12. Check the MP check box.

  13. In the MP Output definition grid, check one or more output file options to be generated by "mp".

  14. Optional: In the MP Output definition grid, modify the file Extension to be applied to each output File Type.

  15. In the MP Output definition grid, modify the file Output Folder to be applied to each output File Type.

    When the cursor is moved to Output Folder, a folder selection button appears that allows navigation to or creation of a new folder.

  16. Optional: Select the Set All Folders button. Select or create a single folder that will be used as the location for all output files.

  17. Optional: Select the Run special clean-up on DOCUMENT.aml output check box.

    Once the user selects all parameters required by "mp," the Execute button becomes active.

  18. Select the Execute button.

    File processing progress is displayed across the bottom of the interface.

  19. Once MP Batch Processor completes, select the Close button to close the program.


Command Line for MP Batch Processor

Syntax: MPbatch.exe -I INI_file [-F input_folder] [-e input_file_extensions] [-n]

Options:
-I | INI_file | Required, INI file
-F | input_folder | Optional, location of input files
-e | input_file_extensions | Optional, input file extensions (Example: *.sgm;*.txt)
-n |  | Optional, notify user when bat file has completed